> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Get settings GET https://api.elevenlabs.io/v1/convai/settings Retrieve Convai settings for the workspace Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/workspace/get ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Response ### 200 Successful Response - `conversation_initiation_client_data_webhook` (ConversationInitiationClientDataWebhook, optional) - `webhooks` (ConvAiWebhooks, optional) - `can_use_mcp_servers` (boolean, optional, default: false) — Whether the workspace can use MCP servers - `rag_retention_period_days` (integer, optional, default: 10) - `conversation_embedding_retention_days` (integer, optional) — Days to retain conversation embeddings. None means use the system default (30 days). - `default_livekit_stack` (enum, optional, default: standard) - Allowed values: `standard`, `static` ## Errors ### 422 Settings Get Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ConversationInitiationClientDataWebhook - `url` (string, required) — The URL to send the webhook to - `request_headers` (map from string to ConversationInitiationClientDataWebhookRequestHeadersValue, required) — The headers to send with the webhook request ### ConvAiWebhooks - `post_call_webhook_id` (string, optional) - `events` (list of enum, optional) — List of event types to send via webhook. Options: transcript, audio, call_initiation_failure, answering_machine_detection, unredacted_transcript, unredacted_audio. - Allowed values: `transcript`, `audio`, `call_initiation_failure`, `answering_machine_detection`, `unredacted_transcript`, `unredacted_audio` - `transcript_format` (enum, optional, default: json) — Format for transcript webhooks. - Allowed values: `json`, `opentelemetry` - `exclude_transcript` (boolean, optional, default: false) — When true, JSON post-call transcription webhooks omit the turn-by-turn transcript. Analysis, metadata, and other conversation fields are still sent. Ignored for OpenTelemetry transcript format. - `send_audio` (boolean, optional, deprecated) — DEPRECATED: Use 'events' field instead. Whether to send audio data with post-call webhooks for ConvAI conversations ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ConversationInitiationClientDataWebhookRequestHeadersValue ### ValidationErrorLocItem ### ConvAiSecretLocator Used to reference a secret from the agent's secret store. - `secret_id` (string, required) ## Examples **Response** ```json { "conversation_initiation_client_data_webhook": { "url": "https://example.com/webhook", "request_headers": { "Content-Type": "application/json" } }, "webhooks": { "post_call_webhook_id": "post_call_webhook_id", "events": [ "transcript" ], "transcript_format": "json", "exclude_transcript": true, "send_audio": true }, "can_use_mcp_servers": true, "rag_retention_period_days": 1, "conversation_embedding_retention_days": 1, "default_livekit_stack": "standard" } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/settings" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/settings'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/settings" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/settings") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/convai/settings") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/convai/settings'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/settings"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/settings")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.